/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package interfaces;

import java.awt.event.ActionEvent;
import java.awt.event.FocusEvent;

/**
 * Interfaz para el controlador de VentanaTelefonos
 */
public interface IControladorTelefonos {
    public static final String NUEVO_TELEFONO = "Nuevo teléfono";
    public static final String MODIFICAR_TELEFONO = "Modificar teléfono";

    /**
     * Acción a ejecutar cuando se selecciona el botón Cancelar
     * @param evt evento
     */                            
    void btnCancelarClic(ActionEvent evt);
    
    /**
     * Acción a ejecutar cuando el campo txtNumero gana el foco
     * @param evt evento
     */                                
    void txtNumeroGanaFoco(FocusEvent evt);
    
    /**
     * Acción a ejecutar cuando se selecciona el botón Aceptar
     * @param evt evento
     */                                
    void btnAceptarClic(ActionEvent evt);
}
