/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package modelos;

import javax.swing.DefaultComboBoxModel;

/**
 * Clase para poder mostrar en un combo los distintos tipos de motores
 */
public class ModeloComboMotor extends DefaultComboBoxModel {
    
    /**
     * Constructor
     * Llena la lista los motores definidos
     */
    public ModeloComboMotor() {  
        for (Motor motor : Motor.values()) {
            this.addElement(motor); 
        }
    }

    /**
     * Devuelve el motor seleccionado
     * @return Motor  - motor seleccionado
     */
    public Motor obtenerMotor() { 
        return (Motor)this.getSelectedItem();
    }
        
    /**
     * Selecciona el motor especificado
     * @param motor motor
     */
    public void seleccionarMotor(Motor motor) {
        this.setSelectedItem(motor);
    }            
}
