/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package modelos;

import javax.swing.DefaultComboBoxModel;

/**
 * Clase para mostrar en un combo los tipos de teléfonos
 */
public class ModeloComboTipoTelefono extends DefaultComboBoxModel {
    
    /**
     * Constructor
     * Llena el combo con los tipos de teléfonos
     */
    public ModeloComboTipoTelefono() {   
        for (TipoTelefono tipo : TipoTelefono.values())
            this.addElement(tipo);
    }

    /**
     * Devuelve el tipo de teléfono seleccionado
     * @return TipoTelefono  - tipo de teléfono seleccionado
     */
    public TipoTelefono obtenerTipoTelefono() {
        return (TipoTelefono)this.getSelectedItem();
    }

    /**
     * Selecciona el tipo de teléfono especificado
     * @param tipo tipo de teléfono
     */
    public void seleccionarTipoTelefono(TipoTelefono tipo) {
        this.setSelectedItem(tipo);
    }    
}
