/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package prueba;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.SQLException;
import javax.swing.JOptionPane;

public class Principal3 {
    public static void main(String[] args) {
        String usuario = "Estudiante";
        String clave = "estudiante";
        
//        String servidor = "localhost"; //MySQL
        String servidor = "192.168.56.2"; //SQLServer
        
//        String puerto = "3306"; //MySQL
        String puerto = "1433"; //SQLServer
        
//        String url = "jdbc:mysql://"; //MySQL
        String url = "jdbc:sqlserver://"; //SQLServer
        
//        String driver = "com.mysql.jdbc.Driver"; //MySQL
        String driver = "com.microsoft.sqlserver.jdbc.SQLServerDriver"; //SQLServer
        
        String bd = "Agenda";
        
        try {
            Class.forName(driver);
            //registro de un driver JDBC para MySQL
            
//            Connection cnn = DriverManager.getConnection(url + servidor + ":" + puerto + "/" + bd + "?noAccessToProcedureBodies=true", usuario, clave);                 
            //Si no se especifica la opción noAccessToProcedureBodies=true, aparece el siguiente mensaje de error:
            //"User does not have access to metadata required to determine stored procedure parameter types. 
            //If rights can not be granted, configure connection with "noAccessToProcedureBodies=true" to have driver generate parameters that represent INOUT strings irregardless of actual parameter types."
            //Otra forma de solucionar el error es otorgándole el permiso SELECT al usuario sobre la tabla mysql.proc (información sobre los procedimientos almacenados):
            //GRANT SELECT ON mysql.proc TO 'user'@'localhost';
            //La desventaja de esta alternativa es que se le está dando al usuario permisos para leer la tabla entera,
            //la cual contiene información sobre todos los procedimientos en todas las BD (incluso el código fuente)
            //http://stackoverflow.com/questions/986628/cant-execute-a-mysql-stored-procedure-from-java            
            
            
            Connection cnn = DriverManager.getConnection(url + servidor + ":" + puerto + ";DatabaseName=" + bd, usuario, clave);
            
            JOptionPane.showMessageDialog(null, "Conexión establecida", "Agenda", JOptionPane.INFORMATION_MESSAGE);        
        }
        catch(ClassNotFoundException e) {
            JOptionPane.showMessageDialog(null, "No se encontró la clase del driver", "Agenda", JOptionPane.ERROR_MESSAGE);
        }
        catch(SQLException e) {
            String mensajeError = "Error de conexión\n" + "Servidor: " + servidor + "\nPuerto: " + puerto + "\nBD: " + bd + "\nUsuario: " + usuario;
            JOptionPane.showMessageDialog(null, mensajeError, "Agenda", JOptionPane.ERROR_MESSAGE);        
        }
    }    
}
